Eligibility Questions
curl --request GET \
--url https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}import requests
url = "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyAPI Endpoints
Eligibility Questions
Retrieves the eligibility questions required for a specific loan product.
GET
/
user
/
loan-eligibility-questions
/
{productId}
Eligibility Questions
curl --request GET \
--url https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}import requests
url = "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.fincode.software/api/v1/services/user/loan-eligibility-questions/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyFetches all eligibility questions that customers need to answer when applying for a specific loan product. These questions are used to determine if the customer meets the product’s eligibility criteria.
Request Headers
Path Parameters
The unique identifier (UUID) of the loan product whose eligibility questions to retrieve.
